Loading...
Searching...
No Matches
caf::memory_managed Class Reference

This base enables derived classes to enforce a different allocation strategy than new/delete by providing a virtual protected request_deletion() function and non-public destructor. More...

`#include <memory_managed.hpp>`

Inheritance diagram for caf::memory_managed:

## Detailed Description

This base enables derived classes to enforce a different allocation strategy than new/delete by providing a virtual protected request_deletion() function and non-public destructor.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/memory_managed.hpp